Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class DialUpLoginManager

java.lang.Object
bitel.billing.server.call.bean.LoginManager
ru.bitel.bgbilling.modules.dialup.server.bean.DialUpLoginManager

    public class DialUpLoginManager
    extends LoginManager

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.call.bean.LoginManager

  `con, mid, tableName`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DialUpLoginManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DialUpLogin` | `addLogin​(Login login, Preferences moduleSetup)` |
  `java.lang.String` | `checkAliases​(Login login, java.util.Set<java.lang.String> aliases)` |
  `protected void` | `doSpecificWrapActions​(int newLoginId, java.util.Date dateOpen, java.util.Date dateClose, Login login, bitel.billing.server.util.db.TableCopier tableCopier)` |
  `DialUpLogin` | `findLogin​(java.lang.String userName, java.util.Date date)` | Возвращает логин по его имени или алиасу и дате
  `protected DialUpLogin` | `getLoginFromResultSet​(java.sql.ResultSet rs)` |
  `boolean` | `hasActiveSessions​(int loginId)` | Проверка наличия активных сессий логина.
  `java.util.Set<java.lang.Integer>` | `loadAttrSet​(int loginId, java.lang.String realm)` | Загружает набор аттрибутов для данного логина
  `protected void` | `moveLoginData​(Login login, int cidFrom, int cidTo)` | Перенос наработки логина при его полном переносе.
  `void` | `recalcAfterMove​(bitel.billing.server.util.MonthForRecalc months, int cidFrom, int cidTo)` | После выполненя различных переносов логинов - переустановка балансов в договорах.
  `void` | `updateAttributeSet​(int lid, java.util.List<java.lang.String[]> sets)` |
  `void` | `updateLimitService​(int lid, java.lang.String sids, int type, java.lang.String param1, java.lang.String param2, java.util.Calendar date1, java.util.Calendar date2, java.lang.String comment, int num, java.util.List<int[]> conditions)` | Обновляет ограничение логина
  `void` | `updateLogin​(Login login)` |
  `void` | `updateRealmOptions​(int lid, int rpMode, java.lang.String realmGroup)` | Обновляет режим радиус-аттрибутов и группу реалмов для логина
  `protected void` | `wrapLoginData​(Login loginFrom, Login loginTo)` | Перенос наработки логина при его переносе с новой даты.

  ### Methods inherited from class bitel.billing.server.call.bean.LoginManager

  `checkConflictAliases, checkLogin, checkLoginAvailable, deleteLogin, freeResources, getContractLogins, getLoginAliases, getLoginById, getLoginByID, getLoginManager, getLoginTitle, loadAVPPairs, loginsList, loginsList, moveLogin, updateAliases, updateAttributes, updatePassword, wrapLogin`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialUpLoginManager

    public DialUpLoginManager​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### findLogin

    public DialUpLogin findLogin​(java.lang.String userName, java.util.Date date)
    Возвращает логин по его имени или алиасу и дате
    Parameters:
      `userName` - имя или алиас логина
      `date` - дата
    Returns:
      логин Dialup

  - ### addLogin

    public DialUpLogin addLogin​(Login login, Preferences moduleSetup)
    Specified by:
      `addLogin` in class `LoginManager`
    See Also:
      `LoginManager.addLogin(bitel.billing.server.call.bean.Login, ru.bitel.bgbilling.server.util.ModuleSetup)`

  - ### updateLogin

    public void updateLogin​(Login login)
    Specified by:
      `updateLogin` in class `LoginManager`
    See Also:
      `LoginManager.updateLogin(bitel.billing.server.call.bean.Login)`

  - ### getLoginFromResultSet

    protected DialUpLogin getLoginFromResultSet​(java.sql.ResultSet rs) throws java.sql.SQLException
    Specified by:
      `getLoginFromResultSet` in class `LoginManager`
    Throws:
      `java.sql.SQLException`

  - ### updateLimitService

    public void updateLimitService​(int lid, java.lang.String sids, int type, java.lang.String param1, java.lang.String param2, java.util.Calendar date1, java.util.Calendar date2, java.lang.String comment, int num, java.util.List<int[]> conditions) throws java.sql.SQLException
    Обновляет ограничение логина
    Parameters:
      `lid` - код логина
      `sids` - коды услуг через запятую
      `type` - тип
      `param1` - параметр1
      `param2` - параметр2
      `date1` - дата начала
      `date2` - дата окончания
      `comment` - комментарий
      `num` - номер позиции
      `conditions` - ограничения на действие ограничений
    Throws:
      `java.sql.SQLException`

  - ### updateAttributeSet

    public void updateAttributeSet​(int lid, java.util.List<java.lang.String[]> sets) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### updateRealmOptions

    public final void updateRealmOptions​(int lid, int rpMode, java.lang.String realmGroup) throws java.sql.SQLException
    Обновляет режим радиус-аттрибутов и группу реалмов для логина
    Parameters:
      `lid` - код логина
      `rpMode` - режим р-а
      `realmGroup` - группа реалмов
    Throws:
      `java.sql.SQLException`

  - ### loadAttrSet

    public java.util.Set<java.lang.Integer> loadAttrSet​(int loginId, java.lang.String realm)
    Загружает набор аттрибутов для данного логина
    Parameters:
      `login` - логин
      `attrSets` - HashMap с аттрибутами, в который будут загружены аттрибуты. Не должен быть null

  - ### moveLoginData

    protected void moveLoginData​(Login login, int cidFrom, int cidTo) throws java.sql.SQLException
    Description copied from class: `LoginManager`
    Перенос наработки логина при его полном переносе.
    Specified by:
      `moveLoginData` in class `LoginManager`
    Throws:
      `java.sql.SQLException`
    See Also:
      `LoginManager.moveLoginData(bitel.billing.server.call.bean.Login, int, int)`

  - ### wrapLoginData

    protected void wrapLoginData​(Login loginFrom, Login loginTo) throws java.sql.SQLException
    Description copied from class: `LoginManager`
    Перенос наработки логина при его переносе с новой даты.
    Specified by:
      `wrapLoginData` in class `LoginManager`
    Throws:
      `java.sql.SQLException`
    See Also:
      `LoginManager.wrapLoginData(bitel.billing.server.call.bean.Login, bitel.billing.server.call.bean.Login)`

  - ### hasActiveSessions

    public boolean hasActiveSessions​(int loginId)
    Description copied from class: `LoginManager`
    Проверка наличия активных сессий логина.
    Overrides:
      `hasActiveSessions` in class `LoginManager`
    Returns:
    See Also:
      `LoginManager.hasActiveSessions(int)`

  - ### recalcAfterMove

    public void recalcAfterMove​(bitel.billing.server.util.MonthForRecalc months, int cidFrom, int cidTo) throws java.sql.SQLException
    Description copied from class: `LoginManager`
    После выполненя различных переносов логинов - переустановка балансов в договорах.
    Specified by:
      `recalcAfterMove` in class `LoginManager`
    Throws:
      `java.sql.SQLException`
    See Also:
      `LoginManager.recalcAfterMove(bitel.billing.server.util.MonthForRecalc, int, int)`

  - ### doSpecificWrapActions

    protected void doSpecificWrapActions​(int newLoginId, java.util.Date dateOpen, java.util.Date dateClose, Login login, bitel.billing.server.util.db.TableCopier tableCopier) throws java.sql.SQLException
    Specified by:
      `doSpecificWrapActions` in class `LoginManager`
    Throws:
      `java.sql.SQLException`

  - ### checkAliases

    public java.lang.String checkAliases​(Login login, java.util.Set<java.lang.String> aliases)
    Specified by:
      `checkAliases` in class `LoginManager`